* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* common */
a:hover{
    text-decoration: none;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;  
  overflow: hidden;
}

.line-clamp-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;  
    overflow: hidden;
  }
/* Navbar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar .logo-img {
    width: 100px;
    border-radius: 10px;
}
.navbar-collapse i {
    font-size: 1.8rem;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    color: black;
}
.navbar-collapse {
    display: flex;
    justify-content: flex-end;
}
.navbar-collapse.show {
    justify-content: center;
}
.navbar .navbar-toggler {
    background-color: black;
}
.navbar #icon-cart {
    position: relative;
}
.navbar #icon-cart span {
    position: absolute;
    bottom: -3px;
    right: -5px;

}
.navbar #icon-user {
    position: relative;
}
.navbar .user-info {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 40px;
    left: -75px;
    width: 140px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid black;
    padding: 15px;
}
.navbar .user-info i {
    display: inline-block;
}
.navbar .user-info a {
    display:block;
    font-size: 1.6rem;
    color: black;
    margin-bottom: 15px;
}
.navbar .user-info .btn-signout{
    padding: 5px 10px;
    color: white;
    background: black;
    border-radius: 5px;
}
/* Path */
.path a {
    color: black;
}

/* detail */
.details {
    margin-top: 20px;
}
.details .img-block .details-img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 10px;
}
.details .img-block .sub-img{
    margin-top: 15px;
    width: 100%;
    height: 120px;
    cursor: pointer;
    background-color: #ccc;
    object-fit: cover;
    margin-bottom: 15px;
}

.details .img-block .sub-img:hover {
    border: 1.3px solid black;
}

.details .info {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: flex-start;
    gap: 18px;
    padding: 15px;
}
.details .info .rating {
    display: flex;
    align-items: center;
    gap: 5px;
}
.details .info .rating i {
    color: orange;
}
.details .info .product-name {
    font-size: 2.5rem;
    font-weight: 600;
}

.details .info .desc {
    font-size: 1.6rem;
    line-height: 1.4;
}

.details .info .price {
    color: red;
    font-size: 2.5rem;
}
.details .info .quantity {
    display: flex;
    align-items: center;
    gap: 15px;
}
.details .info .quantity i{
    background: #ccc;
    padding: 5px;
    border-radius: 999px;
    cursor: pointer;
}
.details .btn-add-cart {
    margin-top: 20px;
    padding: 15px 20px;
    color: #fff;
    font-weight : 600;
    background: black;
}
/* description */
.description{
    margin-top: 65px;
}
.description .title {
    font-size: 2.5rem;
    font-weight: 600;
}
.description .desc {
    margin-top: 25px;
    font-size: 1.6rem;
    line-height: 1.5;
}
/* Reviews */
.review {
    margin-top: 60px;
}
.review .title {
    font-size: 2.5rem;
}
.review .total-rating{
    position: relative;
}
.review .review-list {
    margin-top: 40px;
}
.review .review-item img {
    width: 50px;
    height: 50px;
    border-radius: 999px;
    object-fit: cover;
}
.review .block-stars-total{
    display: flex;
    position: relative;
    top: -21px;
    --data-rate: 5;
    width: calc(18px * var(--data-rate));
    overflow: hidden;
    z-index: 100;
}
.review .block-stars-bg{
    display: flex;
    z-index: 1;
}
.review .fa-star {
    color: #999595;
    cursor: pointer;
}
.review .fa-star.checked {
    color: orange;
}

/* Comment */
.comments {
    margin-top: 20px;
}
.comments textarea{
    font-size: 1.6rem;
    margin-top: 20px;
    padding: 20px;
}
.comments .btn-review{
    padding: 5px 10px;
    margin-top: 15px;
    background-color: #000;
    color: white;
}
.comments .fa-star:hover ~ .fa-star:not(:hover){
    color: orange;
}
.comments .fa-star:hover {
    color: orange;
}
.comments .block-stars-cmt {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
}
/* products */
.product {
    margin-top: 65px;
}
.product .title {
    font-size: 2.5rem;
}
.product .item a {
    width: 100%;
    display: block;
}
.product .item img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 8px;
}

.product .item {
    display: flex;
    flex-direction: column ;
    align-items: flex-start;
    margin-top: 80px;
    border-radius: 8px;
    padding: 10px;
}

.product .item:hover {
    transform: translateY(-10px);
    box-shadow: 0px 18px 36px rgba(0, 0, 0, 0.1);
    transition: all 0.5s ease;
    outline: 1.5px solid red;
}

.product .product-name {
    margin-top: 30px;
    font-size: 1.5rem;
    font-weight: 500;
}
.product .price {
    margin-top: 20px;
    font-size: 2rem;
    color: red;
    font-weight: 500;
}
.product .stock {
    margin-top: 10px;
    font-size: 1.5rem;
    font-weight: 500;
    color: slategrey;
}
.product .discount {
    text-decoration: line-through;
    color: black;
}
.product .btn-block{
    margin-top: 50px;
}
.product .btn-see-more{
    padding: 15px 20px;
    background-color: black;
    color: #fff;
    border-radius: 5px;
}

.product .cart-block {
    width: 100%;
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.product .cart-block .btn-add-cart {
    background-color: transparent;
    color: black;
    padding: 15px 20px;
    border: 1px solid black;
    border-radius: 999px;
}
.product .cart-block .btn-add-cart:hover {
    background-color: black;
    color: #fff;
}
.product .cart-block .fa-heart {
    color: palevioletred;
    margin-left: 10px;
    font-size: 3rem;
    cursor: pointer;
}

/* To the top */
.to-top {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    cursor: pointer;
    z-index: 99;
    background:#fff;
    padding: 5px;
    border-radius: 999px;
    outline: 1px solid black;
}
.to-top a {
    color: #000;
}
/* Store */
.stores {
    margin-top: 65px;
}
.stores .title {
    font-size: 3rem;
}

.stores .store-list {
    margin-top: 20px;
}
.stores .store-item {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
}
.store-list .store-title {
    width: 100%;
    font-size: 1.6rem;
    background: #dc3545;
    padding: 5px 10px;
    color: white;
    border-radius: 5px;
}
.store-list .address {
    color: rgb(139, 103, 56);
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
    line-height: 1.3;
}
.store-list .phone {
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
}
/* footer */
.footer {
    margin-top: 100px;
    padding-top: 100px;
    padding-bottom: 50px;
    background: #ccc;
}

.footer .footer-list {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer .footer-social{
margin-top: 120px;
}
.footer .footer-list .title {
    font-size: 2rem;
    font-weight: 600;
}

.footer .footer-list .desc {
    margin-top: 20px;
    font-size: 1.8rem;
    color: rgba(0, 0, 0, 0.658);
}
.footer .footer-social img{
    width: 150px;
    border-radius: 10px;
    object-fit: cover;
}

.footer .footer-social {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.footer .social-block {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}
.footer .social-block a {
    font-size: 3rem;
    color: rgba(0, 0, 0, 0.8);
}

/* responsive */

@media only screen and (max-width: 992px) {
    .details .info {
        padding: 0;
    }
}
@media only screen and (max-width: 768px) {
    /* To top */
    .to-top {
            display: block;
    }
}
@media only screen and (max-width: 567px) {
    /* Navbar */
    .navbar #icon-cart span{
        bottom: 13px ;   
        right: -20px ;   
    }
    /* Product detail */
    #product-details-container{
        padding: 15px;
    }
}